Skip to Content

Create a Stripe Checkout Session

POST /api/client/projects/{projectId}/products/{productId}/customers/{customerId}/stripe

Operation ID: createStripeCheckoutSession.

API authentication and error conventions.

Authentication

Authentication is not declared in this specification. Follow the linked API guide for authentication requirements.

Parameters

NameLocationRequiredTypeDescription and constraints
Idempotency-KeyheaderYesstring
projectIdpathYesstring
productIdpathYesstring
customerIdpathYesstring

Idempotency-Key JSON Schema

{
  "type": "string"
}

projectId JSON Schema

{
  "type": "string"
}

productId JSON Schema

{
  "type": "string"
}

customerId JSON Schema

{
  "type": "string"
}

Request body

Required: Yes.

application/json

Create a Stripe Checkout Session request (application/json) schema. Source for this occurrence.

Responses

Only the response statuses declared by the specification are listed below.

200

Successful response

application/json

Create a Stripe Checkout Session response 200 (application/json) schema. Source for this occurrence.

Last updated on